<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.ruoyi</groupId>
        <artifactId>ruoyi-solon</artifactId>
        <version>${ruoyi-solon.version}</version>
    </parent>

    <artifactId>ruoyi-framework</artifactId>
    <description>框架核心</description>

    <dependencies>
        <!-- 快捷组合包 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-web</artifactId>
        </dependency>
        <!-- 鉴权 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-security-auth</artifactId>
        </dependency>
        <!-- 动态数据源扩展插件 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-data-dynamicds</artifactId>
        </dependency>
        <!-- 序列化扩展 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-serialization-jackson</artifactId>
        </dependency>
        <!-- banner -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-config-banner</artifactId>
        </dependency>
        <!-- 日志 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-logging-logback</artifactId>
        </dependency>
        <!-- 文档扩展插件 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-openapi2-knife4j</artifactId>
        </dependency>
        <!-- 监控服务端 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-admin-server</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.noear</groupId>
                    <artifactId>solon-logging-simple</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- 监控客户端 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-admin-client</artifactId>
        </dependency>

<!--        &lt;!&ndash; 阿里数据库连接池 &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.alibaba</groupId>-->
<!--            <artifactId>druid-spring-boot-starter</artifactId>-->
<!--        </dependency>-->

        <!-- Mysql驱动包 -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <!-- 数据库连接池 -->
        <dependency>
            <groupId>com.zaxxer</groupId>
            <artifactId>HikariCP</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-api</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- hutool工具 - 验证码实现 -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-captcha</artifactId>
        </dependency>

        <!-- lombok -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>

        <!-- 系统模块 -->
        <dependency>
            <groupId>com.ruoyi</groupId>
            <artifactId>ruoyi-system</artifactId>
        </dependency>
    </dependencies>
    
</project>